Bug 50872 - /etc/issue doesn't contain the kernel version or processor info.
Summary: /etc/issue doesn't contain the kernel version or processor info.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-04 04:56 UTC by Need Real Name
Modified: 2014-03-17 02:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-04 15:29:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated rc.local that will pass the kernel version and processor info to /etc/issue (962 bytes, text/plain)
2001-08-04 06:47 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-08-04 04:56:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010701

Description of problem:
/etc/issue doesn't contain the kernel version or processor info.
The output for those fields is Kernel \r on an \m 

How reproducible:
Always

Steps to Reproduce:
1. cat /etc/issue
2. View output
3.
	

Actual Results:  [root@roswell root]# cat /etc/issue
Red Hat Linux release 7.1.93 (Roswell)
Kernel \r on an \m

Expected Results:  The output should have been similar to:
Red Hat Linux release 7.1.93 (Roswell)
Kernel 2.4.6-3.1 on an i686

Additional info:

Comment 1 Need Real Name 2001-08-04 06:42:55 UTC
After a little digging, the missing information in /etc/issue is generated at
boot time, normally in rc.local. rc.local contains only one line (touch
/var/lock/subsys/local) Reassigning to the initscripts packege.

Comment 2 Need Real Name 2001-08-04 06:47:02 UTC
Created attachment 26193 [details]
updated rc.local that will pass the kernel version and processor info to /etc/issue

Comment 3 Bill Nottingham 2001-08-04 15:29:54 UTC
Um, that /etc/issue is correct. It's filled in at run time by the getty of your
choice.

Comment 4 Elliot Lee 2001-08-05 18:26:34 UTC
Update your *getty*/util-linux/telnet-server packages. The values are now filled
in at runtime.


Note You need to log in before you can comment on or make changes to this bug.